@font-face {
    font-family: "Roboto Condensed";
    src: url("./fonts/RobotoCondensed-Regular.ttf");
    src: url("./fonts/RobotoCondensed-Regular.ttf") format("truetype");
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: "Roboto Condensed";
    src: url("./fonts/RobotoCondensed-Bold.ttf");
    src: url("./fonts/RobotoCondensed-Bold.ttf") format("truetype");
    font-weight: bold;
    font-style: normal;
}
* { box-sizing:border-box; }
body {
    font-family: "Roboto Condensed";
    padding: 20px;
}
.success {
    font-size: 12pt;
    border-radius: 5px;
    border: 1px solid;
    display: none;
    margin-top: 8px;
}
.green {
    background-color: #eaf2eb;
    border-color: #2e7d32;
}
.blue {
    background-color: #e6f1f8;
    border-color: #0277bd;
}
.red {
    background-color: #f8e8e8;
    border-color: #b71c1c;
}
.yellow {
    background-color: #fffbec;
    border-color: #e8c43a;
    background-image: url("./icons/triangle-exclamation.png");
    background-repeat: no-repeat;
    background-position: left;
    padding-left: 32px;
}

.status-notification {
    /*display: block;*/
    display: flex;
    width: 304px;
    height: 76px;
    flex-direction: row;
    align-items: center;
    padding: 0px;
    gap: 8px;
    margin: 0px;
}
/* typically offline message is hidden, triggers in the context of
the .offline class being added as a result of the event handler */
.offline-msg {
    display: none;
    margin: 0px;
}
.offline {
    .status-notification {
        display: block;
        margin: 0px;
    }
    .online-msg {
        display: none;
        margin: 0px;
    }
    .offline-msg {
        /*display: block;*/
        display: flex;
        gap: 8px;
        margin:0px;
    }
}
.container {
    top: 180px;
    left: 103px;
    height: 496px;
    width: 486px;
    border-radius: 12px;
    box-shadow: 0px 4px 8px 0px rgba(0,0,0, 16%);
    margin: 0px;
    padding: 40px;
    overflow: hidden;
}
h1 {
    font-size: 30pt;
    font-weight: bold;
    margin: 0px;
}
h2 {
    font-size: 24pt;
    font-weight: bold;
    margin: 0px;
}
.button-container {
    /*
    height: 40px;
    width: 406px;
    */
    display: flex;
    justify-content: space-between;
    width: 406px; /* match Card Number field */
}
.button-primary {
    height: 40px;
    width: 100px;
    font-size: 14pt;
    color: #fff;
    background-color: #0277bd;
    border: 0px;
    border-radius: 4px;
    margin-right: 192px;
}
.button-secondary {
    height: 40px;
    width: 133px;
    background-color: #fff;
    color: #000;
    border: 1px solid #000;
    border-radius: 4px;
    margin-left: auto;
}
button:hover {
    color: #000000;
    opacity: .2;
}
.form-inputs, input, select {
    border: 1px solid #c4c4c4;
    border-radius: 4px;
    padding: 8px 16px 8px 16px;
    margin: 8px;
    margin-left: 0px;
    font-size: 14pt;
    background-color: #fff;
}
input[type=text].form-inputs {
    width: 406px;
    height: 40px;
}
 input, label {
    display: block;
    font-size: 16pt;
    margin: 4px;
    margin-left: 0px;
 }
 select > option {
    font-size: 14pt;
    background-color: white;
    height: 40px;
    width: 246px;
 }
 .status-message {
    height: 40px;
    width: 406px;
    margin-top: 8px;
 }
 #cardHelp {
  margin-top: 0;
  margin-bottom: 16px;
  display: block;
}

fieldset {
    border: none;
    padding: 0;
    margin: 0;
}